def a_demo_function(*args):
    """
    A demo function.

    This function is a demo.

    Parameters
    ----------
    *args : any
        The argument list.

    Examples
    --------
    >>> a_demo_function(None)
    """
    return len(args)


class ADemoClass:
    """
    A demo class.

    This class is a demo.
    This is a second-line comment for extended summary.

    Parameters
    ----------
    first_name : str
        The first name.
    last_name : str
        The last name.

    Attributes
    ----------
    first_name : str
        The first name.
    last_name : str
        The last name.

    Methods
    -------
    say_hello()
        Print hello message.

    Examples
    --------
    >>> a = ADemoClass("Jane", "Doe")
    >>> a.say_hello()
    """
    def __init__(self, first_name, last_name):
        self.first_name = first_name
        self.last_name = last_name

    def say_hello(self):
        print("Hello, {} {}!".format(self.first_name, self.last_name))
